#include <bits/stdc++.h>
using namespace std;

int main() {
    ios_base::sync_with_stdio(0);
    cin.tie(0);
    cout.tie(0);

    int t, n, res;
    cin>>t;

    for(int m=0; m<t; m++){
        cin>>n;
        res=0;
        int arr[n*2];
        int a, b, c;
        for(int i=0; i<n; i++){
            cin>>a>>b>>c;
            arr[a-1]+=c;
            arr[b-1]+=c;
            if(arr[a-1]>res) res=arr[a-1];
            if(arr[b-1]>res) res=arr[b-1];
        };
        cout<<res<<"\n";
    };
}
